levelshots/UJE_pass_cc_automap 
{ 
	nopicmip 
	nocompress 
	nomipmaps 
	{ 
	clampmap levelshots/UJE_pass_cc.tga 
	depthFunc equal 
	rgbGen identity 
	} 
} 

levelshots/UJE_pass_cc_trans 
{ 
	nopicmip 
	nocompress 
	nomipmaps 
	{ 
	clampmap levelshots/UJE_pass_cc.tga 
	blendfunc blend 
	rgbGen identity 
	alphaGen vertex 
	} 
}
//SKY
textures/UJE_pass/macho2
{
	qer_editorimage textures/UJE_pass/macho2_ft.tga
	q3map_sunExt 0.99 0.93 0.66 145 50 85 3 30
	q3map_skyLight 60 5
	q3map_lightmapFilterRadius 0 15 
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	nopicmip
	//fogvars ( .66 .5 .37 ) 11500

	skyparms textures/UJE_pass/macho2 - -
	{
		depthWrite
	}
}

textures/UJE_pass/mg_river
{
	allowCompress
	qer_editorimage  textures/UJE_pass/fluss_seq.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull disable
	sort 8
	surfaceparm nomarks
	
	{ 
      		map $lightmap 
      		blendFunc GL_DST_COLOR GL_ZERO 
      		rgbGen identity 
   	} 
	{
		map textures/UJE_pass/water_fluss.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    		rgbgen identity
      		tcmod scale .5 .5
		tcmod scroll -.24 .00
		tcmod turb .01 .05 0 .125
	}

	{
		animMap 6 textures/UJE_pass/fluss_seq.tga textures/UJE_pass/fluss_seq1.tga textures/UJE_pass/fluss_seq2.tga textures/UJE_pass/fluss_seq3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll -.07 .00
		tcmod turb .01 .035 0 .25
		tcmod stretch sin 1 .005 0 .06
		tcmod scroll -.05 .00
	}
}

/////////////////////////////////////////
//  Terrain                        /////
///////////////////////////////////////
textures/UJE_pass/terrain_0
{
      qer_editorimage textures/temperate_sd/rock_ugly_brown.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	q3map_texturesize 128 128
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_bounce 1
	{
		map textures/temperate_sd/rock_ugly_brown.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_pass/terrain_1
{
      qer_editorimage textures/temperate_sd/master_grass_dirt3.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_bounce 1
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/temperate_sd/master_grass_dirt3.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/UJE_pass/terrain_2
{
      qer_editorimage textures/temperate_sd/dirt3.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_bounce 1
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/dirt3.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_pass/terrain_3
{
      qer_editorimage textures/temperate_sd/road_puddle1.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_bounce 1
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/road_puddle1.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/UJE_pass/terrain_0to1
{
      	qer_editorimage textures/UJE_pass/qer0to1.tga
	q3map_foliage models/mapobjects/plants_sd/grassfoliage.md3 0.6 64 0.1 1
	q3map_nonplanar 
   	q3map_shadeangle 180
	q3map_texturesize 256 256
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm gravelsteps
	
	{
		map textures/temperate_sd/rock_ugly_brown.tga
	}
	{
		map textures/temperate_sd/master_grass_dirt3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_pass/terrain_0to1no
{
      	qer_editorimage textures/UJE_pass/qer0to1.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_bounce 1
	surfaceparm grasssteps
	
	{
		map textures/temperate_sd/rock_ugly_brown.tga
	}
	{
		map textures/temperate_sd/master_grass_dirt3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_pass/terrain_0to2
{
      qer_editorimage textures/UJE_pass/qer0to2.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_bounce 1
	surfaceparm gravelsteps
	
	{
		map textures/temperate_sd/rock_ugly_brown.tga
	}
	{
		map textures/temperate_sd/dirt3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/UJE_pass/terrain_0to3
{
      qer_editorimage textures/UJE_pass/qer0to3.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_bounce 1
	surfaceparm gravelsteps
	
	{
		map textures/temperate_sd/road_puddle1.tga
	}
	{
		map textures/temperate_sd/rock_ugly_brown.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/UJE_pass/terrain_1to2
{
      qer_editorimage textures/UJE_pass/qer1to2.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_bounce 1
	surfaceparm landmine
	surfaceparm gravelsteps
	
	{
		map textures/temperate_sd/dirt3.tga
	}
	{
		map textures/temperate_sd/master_grass_dirt3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/UJE_pass/terrain_1to3
{
      qer_editorimage textures/UJE_pass/qer1to3.tga
	q3map_foliage models/mapobjects/plants_sd/catailfoliage.md3 0.6 64 0.1 1
	q3map_foliage models/mapobjects/plants_sd/mil.md3 1.1 64 0.1 2
	q3map_nonplanar 
   	q3map_shadeangle 180
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_bounce 1
	surfaceparm landmine
	surfaceparm gravelsteps
	
	{
		map textures/temperate_sd/road_puddle1.tga
	}
	{
		map textures/temperate_sd/master_grass_dirt3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_pass/terrain_1to4
{
      qer_editorimage textures/UJE_pass/qer1to3.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_bounce 1
	surfaceparm landmine
	surfaceparm gravelsteps
	
	{
		map textures/temperate_sd/road_puddle1.tga
	}
	{
		map textures/temperate_sd/master_grass_dirt3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_pass/terrain_2to3
{
      qer_editorimage textures/UJE_pass/qer2to3.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_bounce 1
	surfaceparm landmine
	surfaceparm gravelsteps
	
	{
		map textures/temperate_sd/dirt3.tga
	}
	{
		map textures/temperate_sd/road_puddle1.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/UJE_pass/terrain.vertex
{
	{
		map textures/temperate_sd/rock_ugly_brown.tga
		rgbGen vertex
	}
}
//---------------------------------------------------
// common/alpha shaders copied from Sock's terrain-tutorial-map
// http://www.simonoc.com
//
textures/UJE_pass/alpha_000
{
        qer_editorimage textures/UJE_pass/qer_alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/UJE_pass/alpha_025
{
        qer_editorimage textures/UJE_pass/qer_alpha_025.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/UJE_pass/alpha_050
{
        qer_editorimage textures/UJE_pass/qer_alpha_050.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/UJE_pass/alpha_075
{
        qer_editorimage textures/UJE_pass/qer_alpha_075.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/UJE_pass/alpha_085
{
        qer_editorimage textures/UJE_pass/qer_alpha_085.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/UJE_pass/alpha_095
{
        qer_editorimage textures/UJE_pass/qer_alpha_085.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.95
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/UJE_pass/alpha_100
{
        qer_editorimage textures/UJE_pass/qer_alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
// Hedge textures
textures/UJE_pass/hedge
{
	surfaceparm alphashadow
	surfaceparm grasssteps
	nomipmaps
	nopicmip
	cull none
	{
		map textures/UJE_pass/hedge.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/UJE_pass/hedge_end
{
	surfaceparm alphashadow
	surfaceparm grasssteps
	nomipmaps
	nopicmip
	cull none
	{
		map textures/UJE_pass/hedge_end.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/UJE_pass/trees_m01
{

 // invalid JPW FIXME SP merge   cull front
    {  
        map textures/UJE_pass/trees_m01.tga
	  blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//      alphaFunc GE128
        depthWrite
        rgbGen identity

    }
}
textures/UJE_pass/uje_jas1
{
	qer_editorimage textures/UJE_pass/jas1.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/UJE_pass/jas1.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
	}
}
textures/UJE_pass/uje_jas2
{
	qer_editorimage textures/UJE_pass/jas2.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/UJE_pass/jas2.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
	}
}
textures/UJE_pass/uje_lichtje
{
	qer_editorimage textures/UJE_pass/uje_lichtje.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	{
		map textures/UJE_pass/uje_lichtje.tga
		blendfunc add
	}
}
textures/UJE_pass/a_add1
{
	qer_editorimage textures/UJE_pass/a_tree1.tga
    	cull none
    	nopicmip
    	surfaceparm pointlight
	deformVertexes autosprite
	{
		clampmap textures/UJE_pass/a_tree1.tga
		alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}
textures/UJE_pass/a_add2
{
	qer_editorimage textures/UJE_pass/a_tree2.tga
    	cull none
    	nopicmip
    	surfaceparm pointlight
	deformVertexes autosprite
	{
		clampmap textures/UJE_pass/a_tree2.tga
		alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}
textures/UJE_pass/a_add3
{
	qer_editorimage textures/UJE_pass/skull.tga
    	cull none
    	nopicmip
    	surfaceparm pointlight
	deformVertexes autosprite
	{
		map textures/UJE_pass/skull.tga
		alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}
textures/UJE_pass/a_add4
{
	qer_editorimage textures/UJE_pass/onderzeeer.tga
    	cull none
    	nopicmip
    	surfaceparm pointlight
	deformVertexes autosprite
	{
		map textures/UJE_pass/onderzeeer.tga
		alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}
textures/UJE_pass/truss_noclip
{
	cull disable
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	nopicmip
	implicitMask textures/alpha/truss_m06
}
models/mapobjects/gtp/nicepc
{
	{
		map models/mapobjects/gtp/nicepc.tga
		depthWrite
		rgbGen vertex
	}
	{
		map models/mapobjects/gtp/reflect_cloudy.tga
		blendfunc filter
		tcGen environment
		depthWrite
		rgbGen vertex
	}
	{
		map models/mapobjects/gtp/nicepc_light.tga
		alphaFunc GE128
	}
}
models/mapobjects/gtp/monitor
{
	{
		map models/mapobjects/gtp/monitor.tga
		depthWrite
		rgbGen vertex
	}
	{
		map models/mapobjects/gtp/reflect_cloudy.tga
		blendfunc filter
		tcGen environment
		depthWrite
		rgbGen vertex
	}
	{
		map models/mapobjects/gtp/monitor_light.tga
		alphaFunc GE128
	}
}
models/mapobjects/gtp/toilet
{
    	cull none
    	nopicmip
	{
		map models/mapobjects/gtp/toilet.tga
		depthWrite
		rgbGen vertex
	}
	{
		map models/mapobjects/gtp/reflect_cloudy.tga
		blendfunc filter
		tcGen environment
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/budapest_models/bp_fish
{
	surfaceparm nomarks 
	{
		map textures/effects/tinfx.tga
		rgbGen vertex 
		tcGen environment
	}
	{
		map Models/mapobjects/budapest_models/bp_fish.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}